// swift-tools-version: 5.9
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
	name: "themeparks-wiki-swift",
	platforms: [
		.macOS(.v14), .iOS(.v17), .watchOS(.v10)
	],
	products: [
		// Products define the executables and libraries a package produces, making them visible to other packages.
		.library(
			name: "ThemeParks",
			targets: ["ThemeParksSchema", "ThemeParksClient"]),
	],
	dependencies: [
		.package(url: "https://github.com/apple/swift-openapi-generator", from: "1.2.1"),
		.package(url: "https://github.com/apple/swift-openapi-runtime", from: "1.3.2"),
		.package(url: "https://github.com/apple/swift-openapi-urlsession", from: "1.0.1"),
	],
	targets: [
		// Targets are the basic building blocks of a package, defining a module or a test suite.
		// Targets can depend on other targets in this package and products from dependencies.
		.target(name: "ThemeParksSchema"),
		.target(
			name: "ThemeParksClient",
			dependencies: [
				.product(name: "OpenAPIRuntime", package: "swift-openapi-runtime"),
				.product(name: "OpenAPIURLSession", package: "swift-openapi-urlsession"),
			],
			plugins: [
				.plugin(name: "OpenAPIGenerator", package: "swift-openapi-generator"),
			]),
	]
)
